Browse Source

[4.1.1] Added compatibility with Dart 2.5.0

master
Miguel Castiblanco 3 years ago
parent
commit
f821d586c2
  1. 3
      CHANGELOG.md
  2. 2
      lib/mock_web_server.dart

3
CHANGELOG.md

@ -1,5 +1,8 @@
# Changelog
## 4.1.1 - Sept 10, 2019
- Added compatibility with Dart 2.5.0
## 4.1.0 - Aug 04, 2019
- Added `defaultResponse`

2
lib/mock_web_server.dart

@ -233,7 +233,7 @@ class MockWebServer {
StringBuffer body = new StringBuffer();
Completer<String> completer = new Completer();
request.transform(utf8.decoder).listen((data) {
utf8.decoder.bind(request).listen((data) {
body.write(data);
}, onDone: () {
completer.complete(body.toString());

Loading…
Cancel
Save